## libfmt 10.2.1

=== debian/changelog ===
libfmt (10.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Valdur Palm <vpalm@perforce.com>  Fri, 02 Feb 2024 14:51:21 +0200
