=== debian/control ===
Source: libfmt
Section: devel
Priority: optional
Maintainer: Valdur Palm <vpalm@perforce.com>
Build-Depends: debhelper, cmake (>=3.10) | base-files (<=9.999), ninja-build, build-essential
Build-Depends-Indep:

Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/fmtlib/fmt
Package: libfmt-zendphp
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Small, safe and fast formatting library for C++

Package: libfmt-zendphp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Conflicts: libfmt-dev
Depends: ${misc:Depends}, libfmt-zendphp (= ${binary:Version})
Description: libfmt for ZendPHP, C++ development files
