=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

export GEM2DEB_TEST_RUNNER = --check-dependencies

ifneq (,$(findstring $(DEB_BUILD_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
export DEB_LDFLAGS_MAINT_APPEND  = -latomic
endif

DEB_VERSION          := $(shell if [ -z $PBLD_DEB_VERSION ]; then echo $(DEB_VERSION); else echo "${PBLD_DEB_VERSION}"; fi)

%:
	dh $@

ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
override_dh_auto_configure:
	dpkg-architecture -f -a$(DEB_BUILD_ARCH) -c dh_auto_configure

endif

PREFIX		  = /opt/zend/zendphp

override_dh_auto_configure:
	#sed -i "/^configure_package_config_file.*/a INSTALL_PREFIX ${PREFIX}" CMakeLists.txt
	export LDFLAGS= ; \
	export CFLAGS= ; \
	export CPPFLAGS= ; \
	export CXXFLAGS= ; \
	mkdir build; cd build; \
	cmake .. -G Ninja \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON \
		-DFMT_CMAKE_DIR:STRING=lib/cmake/fmt \
		-DCMAKE_INSTALL_PREFIX=${PREFIX} \
		-DCMAKE_PREFIX_PATH=${PREFIX} \
		-DFMT_LIB_DIR:STRING=lib \
		-DBUILD_SHARED_LIBS=TRUE \
		-DFMT_DOC=OFF \
		-DFMT_TEST=OFF

override_dh_auto_build:
	cd build; cmake --build .

override_dh_auto_clean:
	dh_auto_clean || true

override_dh_auto_test:
	:

override_dh_auto_install:
	#dh_auto_install
	cd build; DESTDIR=$(CURDIR)/debian/tmp ninja install
	mkdir -p $(CURDIR)/debian/tmp/${PREFIX}/share/licenses/libfmt-zendphp-$(DEB_VERSION)
	cp -p LICENSE $(CURDIR)/debian/tmp/${PREFIX}/share/licenses/libfmt-zendphp-$(DEB_VERSION)/LICENSE
	dh_install

override_dh_installdocs:
:
#	dh_installdocs

override_dh_gencontrol:
	dh_gencontrol -- -v$(DEB_VERSION)

override_dh_dwz:
	echo GCC bug

override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l$(CURDIR)/debian/tmp/$(PREFIX)/lib

override_dh_usrlocal:
	echo Skip processing /usr/local
